do $$
  begin

    --
    -- Name: clusters_pkey; Type: CONSTRAINT; Schema: public;
    --

    if not exists (select 1 from pg_constraint where conname = 'clusters_pkey') then
      ALTER TABLE ONLY public.clusters
          ADD CONSTRAINT clusters_pkey PRIMARY KEY (id);
    end if;

    --
    -- Name: clustersProjectIdNameU; Type: INDEX; Schema: public;
    --

    if not exists (select 1 from pg_indexes where tablename = 'clusters' and indexname = 'clustersProjectIdNameU') then
      CREATE UNIQUE INDEX "clustersProjectIdNameU" ON public.clusters USING btree ("projectId", name);
    end if;

    --
    -- Name: clusters_clusterTypeCode_fkey; Type: FK CONSTRAINT; Schema: public;
    --

    if not exists (select 1 from pg_constraint where conname = 'clusters_clusterTypeCode_fkey') then
      ALTER TABLE ONLY public.clusters
          ADD CONSTRAINT "clusters_clusterTypeCode_fkey" FOREIGN KEY ("clusterTypeCode") REFERENCES public."systemCodes"(code) ON UPDATE RESTRICT ON DELETE RESTRICT;
    end if;

    --
    -- Name: clusters_projectId_fkey; Type: FK CONSTRAINT; Schema: public;
    --

    if not exists (select 1 from pg_constraint where conname = 'clusters_projectId_fkey') then
      ALTER TABLE ONLY public.clusters
          ADD CONSTRAINT "clusters_projectId_fkey" FOREIGN KEY ("projectId") REFERENCES public.projects(id) ON UPDATE RESTRICT ON DELETE RESTRICT;
    end if;

    --
    -- Name: clusters_systemRuntimeTemplateId_fkey; Type: FK CONSTRAINT; Schema: public;
    --

    if not exists (select 1 from pg_constraint where conname = 'clusters_systemRuntimeTemplateId_fkey') then
      ALTER TABLE ONLY public.clusters
          ADD CONSTRAINT "clusters_systemRuntimeTemplateId_fkey" FOREIGN KEY ("systemRuntimeTemplateId") REFERENCES public."systemRuntimeTemplates"(id) ON UPDATE RESTRICT ON DELETE RESTRICT;
    end if;

  end
$$
