do $$
  begin

    --
    -- Name: masterIntegrationTypeCodes_pkey; Type: CONSTRAINT; Schema: public;
    --
    
    if not exists (select 1 from pg_constraint where conname = 'masterIntegrationTypeCodes_pkey') then
      ALTER TABLE ONLY public."masterIntegrationTypeCodes"
          ADD CONSTRAINT "masterIntegrationTypeCodes_pkey" PRIMARY KEY (id);
    end if;
    
    --
    -- Name: masterIntegrationTypeCodesMasterIntegrationIdI; Type: INDEX; Schema: public;
    --
    
    if not exists (select 1 from pg_indexes where tablename = 'masterIntegrationTypeCodes' and indexname = 'masterIntegrationTypeCodesMasterIntegrationIdI') then
      CREATE INDEX "masterIntegrationTypeCodesMasterIntegrationIdI" ON public."masterIntegrationTypeCodes" USING btree ("masterIntegrationId");
    end if;
    
    --
    -- Name: masterIntegrationTypeCodesMasterIntegrationIdTypeCodeU; Type: INDEX; Schema: public;
    --
    
    if not exists (select 1 from pg_indexes where tablename = 'masterIntegrationTypeCodes' and indexname = 'masterIntegrationTypeCodesMasterIntegrationIdTypeCodeU') then
      CREATE UNIQUE INDEX "masterIntegrationTypeCodesMasterIntegrationIdTypeCodeU" ON public."masterIntegrationTypeCodes" USING btree ("masterIntegrationId", "typeCode");
    end if;
    
    --
    -- Name: masterIntegrationTypeCodesTypeCodeI; Type: INDEX; Schema: public;
    --
    
    if not exists (select 1 from pg_indexes where tablename = 'masterIntegrationTypeCodes' and indexname = 'masterIntegrationTypeCodesTypeCodeI') then
      CREATE INDEX "masterIntegrationTypeCodesTypeCodeI" ON public."masterIntegrationTypeCodes" USING btree ("typeCode");
    end if;
    
    --
    -- Name: masterIntegrationTypeCodes_masterIntegrationId_fkey; Type: FK CONSTRAINT; Schema: public;
    --
    
    if not exists (select 1 from pg_constraint where conname = 'masterIntegrationTypeCodes_masterIntegrationId_fkey') then
      ALTER TABLE ONLY public."masterIntegrationTypeCodes"
          ADD CONSTRAINT "masterIntegrationTypeCodes_masterIntegrationId_fkey" FOREIGN KEY ("masterIntegrationId") REFERENCES public."masterIntegrations"(id) ON UPDATE RESTRICT ON DELETE RESTRICT;
    end if;
    
    --
    -- Name: masterIntegrationTypeCodes_typeCode_fkey; Type: FK CONSTRAINT; Schema: public;
    --
    
    if not exists (select 1 from pg_constraint where conname = 'masterIntegrationTypeCodes_typeCode_fkey') then
      ALTER TABLE ONLY public."masterIntegrationTypeCodes"
          ADD CONSTRAINT "masterIntegrationTypeCodes_typeCode_fkey" FOREIGN KEY ("typeCode") REFERENCES public."systemCodes"(code) ON UPDATE RESTRICT ON DELETE RESTRICT;
    end if;
    
  end
$$
