do $$
  begin

    --
    -- Name: providers_pkey; Type: CONSTRAINT; Schema: public;
    --
    
    if not exists (select 1 from pg_constraint where conname = 'providers_pkey') then
      ALTER TABLE ONLY public.providers
          ADD CONSTRAINT providers_pkey PRIMARY KEY (id);
    end if;
    
    --
    -- Name: provUrlSlugU; Type: INDEX; Schema: public;
    --
    
    if not exists (select 1 from pg_indexes where tablename = 'providers' and indexname = 'provUrlSlugU') then
      CREATE UNIQUE INDEX "provUrlSlugU" ON public.providers USING btree ("urlSlug");
    end if;
    
    --
    -- Name: provUrlU; Type: INDEX; Schema: public;
    --
    
    if not exists (select 1 from pg_indexes where tablename = 'providers' and indexname = 'provUrlU') then
      CREATE UNIQUE INDEX "provUrlU" ON public.providers USING btree (url);
    end if;
    
  end
$$
