do $$
  begin

    --
    -- Name: resourceIdU; Type: INDEX; Schema: public;
    --

    if not exists (select 1 from pg_indexes where tablename = 'resources' and indexname = 'resourceIdU') then
      CREATE UNIQUE INDEX "resourceIdU" ON public.resources USING btree (id);
    end if;

    --
    -- Name: resourcePipelineSourceIdI; Type: INDEX; Schema: public;
    --

    if not exists (select 1 from pg_indexes where tablename = 'resources' and indexname = 'resourcePipelineSourceIdI') then
      CREATE INDEX "resourcePipelineSourceIdI" ON public.resources USING btree ("pipelineSourceId");
    end if;

    --
    -- Name: resourceProjectIdNameU; Type: INDEX; Schema: public;
    --

    if not exists (select 1 from pg_indexes where tablename = 'resources' and indexname = 'resourceProjectIdNameU') then
      CREATE UNIQUE INDEX "resourceProjectIdNameU" ON public.resources USING btree ("projectId", name);
    end if;

    --
    -- Name: resources_projectIntegrationId_fkey; Type: FK CONSTRAINT; Schema: public;
    --

    if not exists (select 1 from pg_constraint where conname = 'resources_projectIntegrationId_fkey') then
      ALTER TABLE ONLY public.resources
          ADD CONSTRAINT "resources_projectIntegrationId_fkey" FOREIGN KEY ("projectIntegrationId") REFERENCES public."projectIntegrations"(id) ON UPDATE RESTRICT ON DELETE RESTRICT;
    end if;

    --
    -- Name: resources_pipelineSourceId_fkey; Type: FK CONSTRAINT; Schema: public;
    --

    if not exists (select 1 from pg_constraint where conname = 'resources_pipelineSourceId_fkey') then
      ALTER TABLE ONLY public.resources
          ADD CONSTRAINT "resources_pipelineSourceId_fkey" FOREIGN KEY ("pipelineSourceId") REFERENCES public."pipelineSources"(id) ON UPDATE RESTRICT ON DELETE RESTRICT;
    end if;

    --
    -- Name: resources_projectId_fkey; Type: FK CONSTRAINT; Schema: public;
    --

    if not exists (select 1 from pg_constraint where conname = 'resources_projectId_fkey') then
      ALTER TABLE ONLY public.resources
          ADD CONSTRAINT "resources_projectId_fkey" FOREIGN KEY ("projectId") REFERENCES public.projects(id) ON UPDATE RESTRICT ON DELETE RESTRICT;
    end if;

    --
    -- Name: resources_typeCode_fkey; Type: FK CONSTRAINT; Schema: public;
    --

    if not exists (select 1 from pg_constraint where conname = 'resources_typeCode_fkey') then
      ALTER TABLE ONLY public.resources
          ADD CONSTRAINT "resources_typeCode_fkey" FOREIGN KEY ("typeCode") REFERENCES public."systemCodes"(code) ON UPDATE RESTRICT ON DELETE RESTRICT;
    end if;

  end
$$
