do $$
  begin

    --
    -- Name: runStepConnections_pkey; Type: CONSTRAINT; Schema: public;
    --
    
    if not exists (select 1 from pg_constraint where conname = 'runStepConnections_pkey') then
      ALTER TABLE ONLY public."runStepConnections"
          ADD CONSTRAINT "runStepConnections_pkey" PRIMARY KEY (id);
    end if;
    
    --
    -- Name: runStepConnectionsOpOpIntIdI; Type: INDEX; Schema: public;
    --
    
    if not exists (select 1 from pg_indexes where tablename = 'runStepConnections' and indexname = 'runStepConnectionsOpOpIntIdI') then
      CREATE INDEX "runStepConnectionsOpOpIntIdI" ON public."runStepConnections" USING btree (operation, "operationIntegrationId");
    end if;
    
    --
    -- Name: runStepConnectionsOpOpRunResIdI; Type: INDEX; Schema: public;
    --
    
    if not exists (select 1 from pg_indexes where tablename = 'runStepConnections' and indexname = 'runStepConnectionsOpOpRunResIdI') then
      CREATE INDEX "runStepConnectionsOpOpRunResIdI" ON public."runStepConnections" USING btree (operation, "operationRunResourceVersionId");
    end if;
    
    --
    -- Name: runStepConnectionsOpOpStepIdI; Type: INDEX; Schema: public;
    --
    
    if not exists (select 1 from pg_indexes where tablename = 'runStepConnections' and indexname = 'runStepConnectionsOpOpStepIdI') then
      CREATE INDEX "runStepConnectionsOpOpStepIdI" ON public."runStepConnections" USING btree (operation, "operationStepId");
    end if;
    
    --
    -- Name: runStepConnectionsPipelineIdI; Type: INDEX; Schema: public;
    --
    
    if not exists (select 1 from pg_indexes where tablename = 'runStepConnections' and indexname = 'runStepConnectionsPipelineIdI') then
      CREATE INDEX "runStepConnectionsPipelineIdI" ON public."runStepConnections" USING btree ("pipelineId");
    end if;
    
    --
    -- Name: runStepConnectionsProjectIdI; Type: INDEX; Schema: public;
    --
    
    if not exists (select 1 from pg_indexes where tablename = 'runStepConnections' and indexname = 'runStepConnectionsProjectIdI') then
      CREATE INDEX "runStepConnectionsProjectIdI" ON public."runStepConnections" USING btree ("projectId");
    end if;
    
    --
    -- Name: runStepConnectionsRnIdStpIdOpOpRRIdOpSIdOpIntIdU; Type: INDEX; Schema: public;
    --
    
    if not exists (select 1 from pg_indexes where tablename = 'runStepConnections' and indexname = 'runStepConnectionsRnIdStpIdOpOpRRIdOpSIdOpIntIdU') then
      CREATE UNIQUE INDEX "runStepConnectionsRnIdStpIdOpOpRRIdOpSIdOpIntIdU" ON public."runStepConnections" USING btree ("runId", "stepId", operation, "operationRunResourceVersionId", "operationStepId", "operationIntegrationId");
    end if;
    
    --
    -- Name: runStepConnectionsRunIdI; Type: INDEX; Schema: public;
    --
    
    if not exists (select 1 from pg_indexes where tablename = 'runStepConnections' and indexname = 'runStepConnectionsRunIdI') then
      CREATE INDEX "runStepConnectionsRunIdI" ON public."runStepConnections" USING btree ("runId");
    end if;
    
    --
    -- Name: runStepConnections_operationRunResourceVersionId_fkey; Type: FK CONSTRAINT; Schema: public;
    --
    
    if not exists (select 1 from pg_constraint where conname = 'runStepConnections_operationRunResourceVersionId_fkey') then
      ALTER TABLE ONLY public."runStepConnections"
          ADD CONSTRAINT "runStepConnections_operationRunResourceVersionId_fkey" FOREIGN KEY ("operationRunResourceVersionId") REFERENCES public."runResourceVersions"(id) ON UPDATE RESTRICT ON DELETE RESTRICT;
    end if;
    
    --
    -- Name: runStepConnections_operationStepId_fkey; Type: FK CONSTRAINT; Schema: public;
    --
    
    if not exists (select 1 from pg_constraint where conname = 'runStepConnections_operationStepId_fkey') then
      ALTER TABLE ONLY public."runStepConnections"
          ADD CONSTRAINT "runStepConnections_operationStepId_fkey" FOREIGN KEY ("operationStepId") REFERENCES public.steps(id) ON UPDATE RESTRICT ON DELETE RESTRICT;
    end if;
    
    --
    -- Name: runStepConnections_projectId_fkey; Type: FK CONSTRAINT; Schema: public;
    --
    
    if not exists (select 1 from pg_constraint where conname = 'runStepConnections_projectId_fkey') then
      ALTER TABLE ONLY public."runStepConnections"
          ADD CONSTRAINT "runStepConnections_projectId_fkey" FOREIGN KEY ("projectId") REFERENCES public.projects(id) ON UPDATE RESTRICT ON DELETE RESTRICT;
    end if;
    
    --
    -- Name: runStepConnections_runId_fkey; Type: FK CONSTRAINT; Schema: public;
    --
    
    if not exists (select 1 from pg_constraint where conname = 'runStepConnections_runId_fkey') then
      ALTER TABLE ONLY public."runStepConnections"
          ADD CONSTRAINT "runStepConnections_runId_fkey" FOREIGN KEY ("runId") REFERENCES public.runs(id) ON UPDATE RESTRICT ON DELETE RESTRICT;
    end if;
    
    --
    -- Name: runStepConnections_stepId_fkey; Type: FK CONSTRAINT; Schema: public;
    --
    
    if not exists (select 1 from pg_constraint where conname = 'runStepConnections_stepId_fkey') then
      ALTER TABLE ONLY public."runStepConnections"
          ADD CONSTRAINT "runStepConnections_stepId_fkey" FOREIGN KEY ("stepId") REFERENCES public.steps(id) ON UPDATE RESTRICT ON DELETE RESTRICT;
    end if;
    
  end
$$
