do $$
  begin

    --
    -- Name: runsIdU; Type: INDEX; Schema: public;
    --

    if not exists (select 1 from pg_indexes where tablename = 'runs' and indexname = 'runsIdU') then
      CREATE UNIQUE INDEX "runsIdU" ON public.runs USING btree (id);
    end if;

    --
    -- Name: runsRunNumberPipelineIdU; Type: INDEX; Schema: public;
    --

    if not exists (select 1 from pg_indexes where tablename = 'runs' and indexname = 'runsRunNumberPipelineIdU') then
      CREATE UNIQUE INDEX "runsRunNumberPipelineIdU" ON public.runs USING btree ("runNumber", "pipelineId");
    end if;

    --
    -- Name: runsPipelineIdI; Type: INDEX; Schema: public;
    --

    if not exists (select 1 from pg_indexes where tablename = 'runs' and indexname = 'runsPipelineIdI') then
      CREATE INDEX "runsPipelineIdI" ON public.runs USING btree ("pipelineId");
    end if;

    --
    -- Name: runsProjectIdI; Type: INDEX; Schema: public;
    --

    if not exists (select 1 from pg_indexes where tablename = 'runs' and indexname = 'runsProjectIdI') then
      CREATE INDEX "runsProjectIdI" ON public.runs USING btree ("projectId");
    end if;

    --
    -- Name: runs_projectId_fkey; Type: FK CONSTRAINT; Schema: public;
    --

    if not exists (select 1 from pg_constraint where conname = 'runs_projectId_fkey') then
      ALTER TABLE ONLY public.runs
          ADD CONSTRAINT "runs_projectId_fkey" FOREIGN KEY ("projectId") REFERENCES public.projects(id) ON UPDATE RESTRICT ON DELETE RESTRICT;
    end if;

    --
    -- Name: runs_statusCode_fkey; Type: FK CONSTRAINT; Schema: public;
    --

    if not exists (select 1 from pg_constraint where conname = 'runs_statusCode_fkey') then
      ALTER TABLE ONLY public.runs
          ADD CONSTRAINT "runs_statusCode_fkey" FOREIGN KEY ("statusCode") REFERENCES public."systemCodes"(code) ON UPDATE RESTRICT ON DELETE RESTRICT;
    end if;

    --
    -- Name: runs_pipelineId_fkey; Type: FK CONSTRAINT; Schema: public;
    --

    if not exists (select 1 from pg_constraint where conname = 'runs_pipelineId_fkey') then
      ALTER TABLE ONLY public.runs
          ADD CONSTRAINT "runs_pipelineId_fkey" FOREIGN KEY ("pipelineId") REFERENCES public.pipelines(id) ON UPDATE RESTRICT ON DELETE RESTRICT;
    end if;

  end
$$
