do $$
  begin

    --
    -- Name: systemMachineImages_pkey; Type: CONSTRAINT; Schema: public;
    --

    if not exists (select 1 from pg_constraint where conname = 'systemMachineImages_pkey') then
      ALTER TABLE ONLY public."systemMachineImages"
          ADD CONSTRAINT "systemMachineImages_pkey" PRIMARY KEY (id);
    end if;

    --
    -- Name: sysMachImgIsDefaultArchTypeCodeU; Type: INDEX; Schema: public;
    --

    if not exists (select 1 from pg_indexes where tablename = 'systemMachineImages' and indexname = 'sysMachImgIsDefaultArchTypeCodeU') then
      CREATE UNIQUE INDEX "sysMachImgIsDefaultArchTypeCodeU" ON public."systemMachineImages" USING btree ("isDefault", "archTypeCode") WHERE ("isDefault" = true);
    end if;

    --
    -- Name: sysMachImgsysMachImgExtIdProvU; Type: INDEX; Schema: public;
    --

    if not exists (select 1 from pg_indexes where tablename = 'systemMachineImages' and indexname = 'sysMachImgsysMachImgExtIdProvU') then
      CREATE UNIQUE INDEX "sysMachImgsysMachImgExtIdProvU" ON public."systemMachineImages" USING btree ("externalId", provider);
    end if;

    --
    -- Name: sysMachImgsysMachImgIdU; Type: INDEX; Schema: public;
    --

    if not exists (select 1 from pg_indexes where tablename = 'systemMachineImages' and indexname = 'sysMachImgsysMachImgIdU') then
      CREATE UNIQUE INDEX "sysMachImgsysMachImgIdU" ON public."systemMachineImages" USING btree ("systemMachineImageId");
    end if;

    --
    -- Name: systemMachineImages_archTypeCode_fkey; Type: FK CONSTRAINT; Schema: public;
    --

    if not exists (select 1 from pg_constraint where conname = 'systemMachineImages_archTypeCode_fkey') then
      ALTER TABLE ONLY public."systemMachineImages"
          ADD CONSTRAINT "systemMachineImages_archTypeCode_fkey" FOREIGN KEY ("archTypeCode") REFERENCES public."systemCodes"(code) ON UPDATE RESTRICT ON DELETE RESTRICT;
    end if;

    --
    -- Name: systemMachineImages_systemRuntimeTemplateId_fkey; Type: FK CONSTRAINT; Schema: public;
    --

    if not exists (select 1 from pg_constraint where conname = 'systemMachineImages_systemRuntimeTemplateId_fkey') then
      ALTER TABLE ONLY public."systemMachineImages"
          ADD CONSTRAINT "systemMachineImages_systemRuntimeTemplateId_fkey" FOREIGN KEY ("systemRuntimeTemplateId") REFERENCES public."systemRuntimeTemplates"(id) ON UPDATE RESTRICT ON DELETE RESTRICT;
    end if;
    
  end
$$
