do $$
  begin

    --
    -- Name: workflowControllers_pkey; Type: CONSTRAINT; Schema: public;
    --
    
    if not exists (select 1 from pg_constraint where conname = 'workflowControllers_pkey') then
      ALTER TABLE ONLY public."workflowControllers"
          ADD CONSTRAINT "workflowControllers_pkey" PRIMARY KEY (id);
    end if;
    
    --
    -- Name: workflowControllersObjectTypeI; Type: INDEX; Schema: public;
    --
    
    if not exists (select 1 from pg_indexes where tablename = 'workflowControllers' and indexname = 'workflowControllersObjectTypeI') then
      CREATE INDEX "workflowControllersObjectTypeI" ON public."workflowControllers" USING btree ("objectType");
    end if;
    
    --
    -- Name: workflowControllersObjectTypeObjectIdU; Type: INDEX; Schema: public;
    --
    
    if not exists (select 1 from pg_indexes where tablename = 'workflowControllers' and indexname = 'workflowControllersObjectTypeObjectIdU') then
      CREATE UNIQUE INDEX "workflowControllersObjectTypeObjectIdU" ON public."workflowControllers" USING btree ("objectType", "objectId");
    end if;
    
  end
$$
