--
-- Name: clusterNodeStats; Type: TABLE; Schema: public;
--

CREATE TABLE IF NOT EXISTS public."clusterNodeStats" (
    id integer NOT NULL,
    "clusterNodeId" smallint NOT NULL,
    "reportedAt" timestamp with time zone NOT NULL,
    "diskUsageInPercentage" numeric,
    "memoryUsageInPercentage" numeric,
    "cpuLoadInPercentage" numeric,
    "activeContainersCount" integer,
    "totalContainersCount" integer,
    "imageCount" integer,
    "projectId" smallint,
    "createdBy" character varying(24),
    "updatedBy" character varying(24),
    "createdAt" timestamp with time zone NOT NULL,
    "updatedAt" timestamp with time zone NOT NULL
);


--
-- Name: clusterNodeStats_id_seq; Type: SEQUENCE; Schema: public;
--

CREATE SEQUENCE IF NOT EXISTS public."clusterNodeStats_id_seq"
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: clusterNodeStats_id_seq; Type: SEQUENCE OWNED BY; Schema: public;
--

ALTER SEQUENCE public."clusterNodeStats_id_seq" OWNED BY public."clusterNodeStats".id;


--
-- Name: id; Type: DEFAULT; Schema: public;
--

ALTER TABLE ONLY public."clusterNodeStats" ALTER COLUMN "id" SET DEFAULT nextval('public."clusterNodeStats_id_seq"'::regclass);
