--
-- Name: pipelineSteps; Type: TABLE; Schema: public;
--

CREATE TABLE IF NOT EXISTS public."pipelineSteps" (
    id integer NOT NULL,
    name character varying(255) NOT NULL,
    "ymlSetupPropertyBag" text,
    "ymlRequiresPropertyBag" text,
    "ymlTriggeredByPropertyBag" text,
    "ymlOutputResourcePropertyBag" text,
    "ymlConfigPropertyBag" text,
    "ymlExecPropertyBag" text,
    "staticPropertyBag" text,
    "typeCode" smallint NOT NULL,
    "latestStepId" integer,
    "projectId" smallint NOT NULL,
    "pipelineSourceId" integer NOT NULL,
    "pipelineId" integer NOT NULL,
    "isDeleted" boolean DEFAULT false NOT NULL,
    "deletedAt" timestamp with time zone,
    "isConsistent" boolean DEFAULT false NOT NULL,
    "isStale" boolean DEFAULT false NOT NULL,
    "staleAt" timestamp with time zone,
    "isPaused" boolean DEFAULT false NOT NULL,
    yml text NOT NULL,
    "createdBy" character varying(24) NOT NULL,
    "updatedBy" character varying(24) NOT NULL,
    "createdAt" timestamp with time zone NOT NULL,
    "updatedAt" timestamp with time zone NOT NULL
);


--
-- Name: pipelineSteps_id_seq; Type: SEQUENCE; Schema: public;
--

CREATE SEQUENCE IF NOT EXISTS public."pipelineSteps_id_seq"
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: pipelineSteps_id_seq; Type: SEQUENCE OWNED BY; Schema: public;
--

ALTER SEQUENCE public."pipelineSteps_id_seq" OWNED BY public."pipelineSteps".id;


--
-- Name: id; Type: DEFAULT; Schema: public;
--

ALTER TABLE ONLY public."pipelineSteps" ALTER COLUMN id SET DEFAULT nextval('public."pipelineSteps_id_seq"'::regclass);
