--
-- Name: pipelines; Type: TABLE; Schema: public;
--

CREATE TABLE IF NOT EXISTS public.pipelines (
    id integer NOT NULL,
    name character varying(255) NOT NULL,
    "projectId" smallint NOT NULL,
    "pipelineSourceId" integer NOT NULL,
    "latestRunNumber" integer NOT NULL,
    "ymlSetupPropertyBag" text,
    "ymlPropertyBag" text,
    "isDeleted" boolean DEFAULT false NOT NULL,
    "deletedAt" timestamp with time zone,
    "createdAt" timestamp with time zone NOT NULL,
    "updatedAt" timestamp with time zone NOT NULL
);


--
-- Name: pipelines_id_seq; Type: SEQUENCE; Schema: public;
--

CREATE SEQUENCE IF NOT EXISTS public.pipelines_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: pipelines_id_seq; Type: SEQUENCE OWNED BY; Schema: public;
--

ALTER SEQUENCE public.pipelines_id_seq OWNED BY public.pipelines.id;


--
-- Name: id; Type: DEFAULT; Schema: public;
--

ALTER TABLE ONLY public.pipelines ALTER COLUMN id SET DEFAULT nextval('public.pipelines_id_seq'::regclass);
