--
-- Name: projects; Type: TABLE; Schema: public;
--

CREATE TABLE IF NOT EXISTS public.projects (
    id smallint NOT NULL,
    name character varying(255) NOT NULL,
    "sourceId" character varying(255) NOT NULL,
    "providerId" integer NOT NULL,
    "systemPropertyBag" text,
    "configPropertyBag" text,
    "clusterLicensesPropertyBag" text,
    "isOrphaned" boolean DEFAULT false,
    "createdAt" timestamp with time zone NOT NULL,
    "updatedAt" timestamp with time zone NOT NULL
);


--
-- Name: projects_id_seq; Type: SEQUENCE; Schema: public;
--

CREATE SEQUENCE IF NOT EXISTS public.projects_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: projects_id_seq; Type: SEQUENCE OWNED BY; Schema: public;
--

ALTER SEQUENCE public.projects_id_seq OWNED BY public.projects.id;


--
-- Name: id; Type: DEFAULT; Schema: public;
--

ALTER TABLE ONLY public.projects ALTER COLUMN id SET DEFAULT nextval('public.projects_id_seq'::regclass);
