--
-- Name: resources; Type: TABLE; Schema: public;
--

CREATE TABLE IF NOT EXISTS public.resources (
    id integer NOT NULL,
    name character varying(255) NOT NULL,
    "projectIntegrationId" integer,
    "ymlConfigPropertyBag" text,
    "systemPropertyBag" text,
    "staticPropertyBag" text,
    "typeCode" smallint NOT NULL,
    "latestResourceVersionId" integer,
    "projectId" smallint NOT NULL,
    "pipelineSourceId" integer NOT NULL,
    "isDeleted" boolean DEFAULT false NOT NULL,
    "deletedAt" timestamp with time zone,
    "isConsistent" boolean DEFAULT false NOT NULL,
    "isInternal" boolean DEFAULT false NOT NULL,
    yml text,
    "createdAt" timestamp with time zone NOT NULL,
    "updatedAt" timestamp with time zone NOT NULL
);


--
-- Name: resources_id_seq; Type: SEQUENCE; Schema: public;
--

CREATE SEQUENCE IF NOT EXISTS public.resources_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: resources_id_seq; Type: SEQUENCE OWNED BY; Schema: public;
--

ALTER SEQUENCE public.resources_id_seq OWNED BY public.resources.id;


--
-- Name: id; Type: DEFAULT; Schema: public;
--

ALTER TABLE ONLY public.resources ALTER COLUMN id SET DEFAULT nextval('public.resources_id_seq'::regclass);
