--
-- Name: runs; Type: TABLE; Schema: public;
--

CREATE TABLE IF NOT EXISTS public.runs (
    id bigint NOT NULL,
    "pipelineId" integer NOT NULL,
    "projectId" smallint NOT NULL,
    "runNumber" integer NOT NULL,
    "statusCode" smallint NOT NULL,
    "staticPropertyBag" text,
    "createdAt" timestamp with time zone NOT NULL,
    "updatedAt" timestamp with time zone NOT NULL
);


--
-- Name: runs_id_seq; Type: SEQUENCE; Schema: public;
--

CREATE SEQUENCE IF NOT EXISTS public.runs_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: runs_id_seq; Type: SEQUENCE OWNED BY; Schema: public;
--

ALTER SEQUENCE public.runs_id_seq OWNED BY public.runs.id;


--
-- Name: id; Type: DEFAULT; Schema: public;
--

ALTER TABLE ONLY public.runs ALTER COLUMN id SET DEFAULT nextval('public.runs_id_seq'::regclass);
