--
-- Name: steplets; Type: TABLE; Schema: public;
--

CREATE TABLE IF NOT EXISTS public.steplets (
    id bigint NOT NULL,
    "projectId" smallint NOT NULL,
    "pipelineId" integer NOT NULL,
    "stepId" bigint NOT NULL,
    "stepletNumber" smallint NOT NULL,
    "statusCode" smallint NOT NULL,
    "triggeredAt" timestamp with time zone,
    "queuedAt" timestamp with time zone,
    "endedAt" timestamp with time zone,
    "startedAt" timestamp with time zone,
    "createdAt" timestamp with time zone NOT NULL,
    "updatedAt" timestamp with time zone NOT NULL
);


--
-- Name: steplets_id_seq; Type: SEQUENCE; Schema: public;
--

CREATE SEQUENCE IF NOT EXISTS public.steplets_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: steplets_id_seq; Type: SEQUENCE OWNED BY; Schema: public;
--

ALTER SEQUENCE public.steplets_id_seq OWNED BY public.steplets.id;


--
-- Name: id; Type: DEFAULT; Schema: public;
--

ALTER TABLE ONLY public.steplets ALTER COLUMN id SET DEFAULT nextval('public.steplets_id_seq'::regclass);

