--
-- Name: steps; Type: TABLE; Schema: public;
--

CREATE TABLE IF NOT EXISTS public.steps (
    id bigint NOT NULL,
    "pipelineId" integer NOT NULL,
    "pipelineStepId" integer NOT NULL,
    "projectId" smallint NOT NULL,
    name character varying(255) NOT NULL,
    "runId" integer NOT NULL,
    "statusCode" smallint NOT NULL,
    "typeCode" smallint NOT NULL,
    "affinityGroup" character varying(255),
    "groupInProgress" boolean,
    "fileStoreProvider" character varying(64),
    "pipelineStateArtifactName" character varying(255),
    "triggeredByResourceVersionId" integer,
    "triggeredByStepId" bigint,
    "triggeredByIdentityId" integer,
    "configPropertyBag" text,
    "execPropertyBag" text,
    "setupPropertyBag" text,
    "staticPropertyBag" text,
    "triggeredAt" timestamp with time zone,
    "timeoutAt" timestamp with time zone,
    "queuedAt" timestamp with time zone,
    "endedAt" timestamp with time zone,
    "startedAt" timestamp with time zone,
    "pendingLogsComplete" boolean DEFAULT false,
    "externalBuildId" character varying(255),
    "externalBuildUrl" character varying(510),
    "createdAt" timestamp with time zone NOT NULL,
    "updatedAt" timestamp with time zone NOT NULL
);


--
-- Name: steps_id_seq; Type: SEQUENCE; Schema: public;
--

CREATE SEQUENCE IF NOT EXISTS public.steps_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: steps_id_seq; Type: SEQUENCE OWNED BY; Schema: public;
--

ALTER SEQUENCE public.steps_id_seq OWNED BY public.steps.id;


--
-- Name: id; Type: DEFAULT; Schema: public;
--

ALTER TABLE ONLY public.steps ALTER COLUMN id SET DEFAULT nextval('public.steps_id_seq'::regclass);
