--
-- Name: systemRuntimeLanguages; Type: TABLE; Schema: public;
--

CREATE TABLE IF NOT EXISTS public."systemRuntimeLanguages" (
    id integer NOT NULL,
    "systemRuntimeTemplateId" integer NOT NULL,
    language character varying(255) NOT NULL,
    version character varying(255) NOT NULL,
    "imageName" character varying(255) NOT NULL,
    "imageTag" character varying(255) NOT NULL,
    "isDefault" boolean DEFAULT false NOT NULL,
    "isAvailable" boolean DEFAULT true NOT NULL,
    "createdAt" timestamp with time zone NOT NULL,
    "updatedAt" timestamp with time zone NOT NULL
);


--
-- Name: systemRuntimeLanguages_id_seq; Type: SEQUENCE; Schema: public;
--

CREATE SEQUENCE IF NOT EXISTS public."systemRuntimeLanguages_id_seq"
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: systemRuntimeLanguages_id_seq; Type: SEQUENCE OWNED BY; Schema: public;
--

ALTER SEQUENCE public."systemRuntimeLanguages_id_seq" OWNED BY public."systemRuntimeLanguages".id;


--
-- Name: id; Type: DEFAULT; Schema: public;
--

ALTER TABLE ONLY public."systemRuntimeLanguages" ALTER COLUMN id SET DEFAULT nextval('public."systemRuntimeLanguages_id_seq"'::regclass);
