#!/bin/bash

export DATA_PATH="$CONFIG_DIR/db"
export CONFIGS_PATH="$INSTALLER_SCRIPTS_DIR/configs"
export INSTALLER_AUTH_TOKEN="$(echo -n $API_TOKEN | sha256sum | cut -f1 -d' ')"

# Logger methods ##########################################
###########################################################
log_proc_msg() {
  local message="$@"
  echo "|___ $@"
}

log_proc_success() {
  local message="$@"
  local bold_green_text='\e[32m'
  local reset_text='\033[0m'

  echo -e "$bold_green_text|___ $message$reset_text"
}
# End Logger methods ######################################
###########################################################

__render_service_user_identity() {
  cp -vr "$CONFIGS_PATH/service_user_identity.sql.template" "$DATA_PATH/service_user_identity.sql"
  sed -i 's#<%= obj.installerTokenHash %>#'$INSTALLER_AUTH_TOKEN'#g' $DATA_PATH/service_user_identity.sql
  sed -i 's#<%= obj.name %>#'serviceUser'#g' $DATA_PATH/service_user_identity.sql
  sed -i 's#<%= obj.expiresAt %>#'2029-06-17T00:00:00Z'#g' $DATA_PATH/service_user_identity.sql
}

main() {
  __render_service_user_identity
  log_proc_success "Service user identity initialized"
}

main
